Subject: bug#38161: Guix guided installer should set up printers and scanners

From: Efraim Flashner <[email-masked]>
Date: Tue, 12 Nov 2019 09:35:30 +0200

On Mon, Nov 11, 2019 at 10:01:32PM +0100, Ludovic Courtès wrote:
> Hi,
> 
> Danny Milosavljevic <[email-masked]> skribis:
> 
> >   (services
> >     (append
> >       (list (service cups-service-type
> >              (cups-configuration
> >               (web-interface? #t)
> >               (extensions
> >                (list cups-filters escpr hplip-minimal))))
> 
> This bit above would have to be opt-in, but…
> 
> >             (simple-service 'custom-udev-rules udev-service-type
> >                             (list sane-backends))

This could be sane-backends-minimal. I checked the udev-rules in both of
them and they're identical.

> 
> … this one could perhaps be enabled by default for “desktop”
> installations, since, I believe, it doesn’t increase the disk space used
> by the resulting system.
> 

At the very least I think the udev rules should be added to the cups
service.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted